package org.processmining.dataawarereplayer.precision.projection;

import java.util.Iterator;
import java.util.Map;

import org.processmining.plugins.balancedconformance.mapping.StringDiscretizer;

public interface ProcessProjector {

	Iterator<ProjectedTrace> projectedTraces();

	@SuppressWarnings("rawtypes")
	Map<String, Class> getAttributeType();

	StringDiscretizer getStringDiscretizer();

}
