package org.processmining.plugins.DataConformance.visualization;

import java.text.DecimalFormat;
import java.util.Iterator;

import org.processmining.plugins.DataConformance.Alignment;

import com.fluxicon.slickerbox.factory.SlickerFactory;

@Deprecated
public class ReplayResultVisController {
	
	public interface AlignmentFilter {
		boolean showAlignment(Alignment align);
	}
	
	private ProMPropertiesPanelWithComp alignmentPropertyPanel;
	private Iterator<Alignment> alignmentIter;
	private int limit;
	
	private AlignmentFilter filter;
	private int currentIndex;
	
	public ReplayResultVisController(ProMPropertiesPanelWithComp alignmentPanel, Iterator<Alignment> alignmentIter, int limit, AlignmentFilter filter) {
		super();
		this.alignmentPropertyPanel = alignmentPanel;
		this.alignmentIter = alignmentIter;
		this.limit = limit;
		this.filter = filter;
	}
	
	public ReplayResultVisController(ProMPropertiesPanelWithComp alignmentPanel, Iterator<Alignment> alignmentIter, int limit) {
		this(alignmentPanel, alignmentIter, limit, new AlignmentFilter() {

			public boolean showAlignment(Alignment align) {
				return true;
			}
		});
	}
	
	public int showNextAlignments() {
		int startIndex = currentIndex;
		while (alignmentIter.hasNext() && (currentIndex - startIndex) < limit) {
			Alignment align = alignmentIter.next();
			if (filter.showAlignment(align)) {
				DataAwareConformanceView view = new DataAwareConformanceView(DecimalFormat.getNumberInstance().format(align.getFitness()),
						align.getStepLabels(), align.getStepTypes());
				alignmentPropertyPanel.addProperty(SlickerFactory.instance().createLabel("Trace " + align.getTraceName()), view);
				currentIndex++;	
			}
		}
		return currentIndex - startIndex;
	}

	public int getLimit() {
		return limit;
	}
	
	public boolean hasMore() {
		return alignmentIter.hasNext();
	}

}
