package org.processmining.plugins.balancedconformance.result;

import java.util.Collection;

import org.processmining.plugins.DataConformance.Alignment;

/**
 * A collection of {@link Alignment} without any dependency on a special result
 * object.
 * 
 * @author F. Mannhardt
 * 
 */
public interface AlignmentCollection extends Iterable<Alignment> {

	/**
	 * @return the {@link Alignment} collection
	 */
	Collection<Alignment> getAlignments();

}
