package org.processmining.plugins.balancedconformance.controlflow.override.queues.duplicates;

import nl.tue.astar.Record;

import org.processmining.plugins.balancedconformance.controlflow.override.DRecord;

public class DFDataDuplicatePriorityQueue extends DuplicateStatesFastLookupPriorityQueue {

	public DFDataDuplicatePriorityQueue(int initialCapacity) {
		super(initialCapacity);
	}

	protected boolean isBetter(Record r1, Record r2) {
		// retrieve stored cost
		double c1 = r1.getTotalCost();
		double c2 = r2.getTotalCost();

		if (c1 < c2 || (c1 == c2 && r1.getCostSoFar() < r2.getCostSoFar()) || (c1 == c2  && r1.getCostSoFar() == r2.getCostSoFar() && ((DRecord) r1).getDataCost() > ((DRecord) r2).getDataCost())) {
			return true;
		}
		return false;
	}

}
