/*
 * Copyright (c) 2013 F. Mannhardt (f.mannhardt@tue.nl)
 */
package org.processmining.plugins.balancedconformance.dataflow.datastate;

/**
 * Factory for data states
 * 
 * @author F. Mannhardt
 *
 */
public interface DataStateFactory {
	
	DataState newDataState();

	DataState decompressFromStore(Object data);

	Object compressToStore(DataState state);

}
